function y = myfnc(x, x_true, a1, sig)

% The function allows for using common random numbers in finite-difference
% estimate of the gradient. The global variables CRN and ss are used for
% this purpose.
global CRN RNDSTATE;
if CRN==0
    RNDSTATE=randn('state');
else
    randn('state',RNDSTATE);
end

n=length(x);
y = - a1* sum((x - x_true).*(x - x_true)) + sig*randn(1,n);

% end of function myfnc.m